#include <iostream>
#include <cstring>
#include <vector>
#include <time.h>

struct Pair {
	int n;
	int i;
};

struct Range {
	int f;
	int l;
};

void set(std::vector<uint64_t> &v, int p) {
	int i = p / (8 * sizeof(uint64_t));
	int o = p % (8 * sizeof(uint64_t));
	v[i] |= (1 << o);
}

void reset(std::vector<uint64_t> &v, int p) {
	int i = p / (8 * sizeof(uint64_t));
	int o = p % (8 * sizeof(uint64_t));
	v[i] &= ~uint64_t(1 << o);
}

bool get(std::vector<uint64_t> &v, int p) {
	int i = p / (8 * sizeof(uint64_t));
	int o = p % (8 * sizeof(uint64_t));
	return v[i] & (1 << o);
}

uint64_t run(int N, int W, std::vector<int> &vec, std::vector<Pair> &els) {
	if (W == 0) {
		return ((N + 1) * N / 2);
	}

	int cnt = 0;
	std::vector<Range> rs;
	//std::vector<uint64_t> tmp(W / (8 * sizeof(uint64_t)) + 1);
	std::vector<bool> bs(W);
	std::vector<int> poses(W);
	//for (int i = 0; i < tmp.size(); i++) tmp[i] = 0;
	for (int i = 0; i < bs.size(); i++) bs[i] = 0;

	for (int i = 0; i < els.size(); i++) {
		poses[els[i].n] = els[i].i;
		//if (!get(tmp, els[i].n)) {
		if (!bs[els[i].n]) {
			//set(tmp, els[i].n);
			bs[els[i].n] = true;
			cnt++;
			if (cnt == W) {
				Range rng;
				rng.l = els[i].i;
				rng.f = 999999;
				int f;
				for (int j = 0; j < poses.size(); j++) {
					if (poses[j] < rng.f) {
						rng.f = poses[j];
						f = j;
					}
				}

				rs.push_back(rng);
				if (i + 1 < els.size()) {
					cnt--;
					//reset(tmp, f);
					bs[f] = false;
				}
			}
		}
	}

	if (!rs.size())
		return 0;

	unsigned long long r = (rs[0].f + 1) * (vec.size() - rs[0].l);
	for (int i = 1; i < rs.size(); i++) {
		r += (rs[i].f - rs[i - 1].f) * (vec.size() - rs[i].l);
	}

	return r;
}

uint64_t test(int N, int W, std::vector<int> &vec) {
	uint64_t r = 0;
	for (int i = 0; i < vec.size(); i++) {
		std::vector<bool> bs(W);
		int cnt = 0;
		for (int j = i; j < vec.size(); j++) {
			if (vec[j] < W) {
				if (!bs[vec[j]]) cnt++;
				bs[vec[j]] = true;
			}

			if (cnt == W) r++;
		}
	}

	return r;
}

int rand(int to) {
	return rand() % to;
}

int main() {
	int N, W;
	std::cin >> N >> W;

	std::vector<int> vec(N);
	std::vector<Pair> els;
	for (int i = 0; i < N; i++) {
		std::cin >> vec[i];
		if (vec[i] < W) {
			els.push_back({ vec[i], i });
		}
	}

	std::cout << run(N, W, vec, els);
	//std::cout << test(N, W, vec);

	/*std::vector<time_t> seeds;
	for (int i = 0; i < 1000; i++) {
		seeds.push_back(time(nullptr) + i);
		srand(seeds.back());
		int N = rand(100) + 5;
		int W = rand(N / 2);
		std::vector<int> vec(N);
		std::vector<Pair> els;
		for (int j = 0; j < N; j++) {
			vec[j] = rand(N / 2);
			if (vec[j] < W)
				els.push_back({ vec[j], j });
		}

		auto r1 = run(N, W, vec, els);
		auto r2 = test(N, W, vec);
		if (r1 != r2) {
			std::cout << seeds.back();
		}
	}*/

	return 0;
}